﻿using System;
using System.Reflection.PortableExecutable;

namespace MyApp // Note: actual namespace depends on the project name.
{
    internal class Program
    {
        static byte Wartosc(Char znak)
        {
            byte a = 0;
            switch (znak)
            {
                case 'A':a=10; break;
                case 'B': a = 11; break;
                case 'C': a = 12; break;
                case 'D': a = 13; break;
                case 'E': a = 14; break;
                case 'F': a = 15; break;
                //dla pozostałych znaków zwróć różnice z kodu ASCII
                //'0' to pozycja 48, czyli znak '2'-'0' odpowiada
                //50-48=2, co zapewnia uniwersalność konwersji znaków
                default: a=Convert.ToByte(znak-'0'); break;
            }
            return a;
        }

        static long DowolnyNaDziesietny(String s, byte p)
        {
            //s to podana liczba jako łańcuch znaków
            //p to podstawa systemu
            long wynik = 0;
            int  i=0;
            while (i < s.Length-1)
            {
                wynik = (wynik + Wartosc(s[i])) * p;
                i++;
            }
            wynik += Wartosc(s[i]);
            return wynik;
        }

        static void Main(string[] args)
        {
            Console.WriteLine("Witaj w CzD!");
            Console.WriteLine("Zamiana liczby z dowolnego systemu na dziesiętny");
            Console.WriteLine("Podaj podstawę systemu (2<=p<=16)");
            byte p=Convert.ToByte(Console.ReadLine());
            Console.WriteLine("Podaj liczbę z wybranego systemu");
            String sLiczba=Console.ReadLine();
            Console.WriteLine("Wartość liczby po zamianie na system dziesiętny:");
            Console.WriteLine(DowolnyNaDziesietny(sLiczba, p));
        }
    }
}